ipe::Thumbnail Class Reference

`#include <ipethumbs.h>`

## Public Types

enum | TargetFormat { ESVG, EPNG, EPS, EPDF }

## Public Member Functions

| Thumbnail (const Document *doc, int width)
int | width () const
int | height () const
Buffer | render (const Page *page, int view)
bool | saveRender (TargetFormat fm, const char *dst, const Page *page, int view, double zoom, bool transparent, bool nocrop)

## Member Enumeration Documentation

## TargetFormat

enum ipe::Thumbnail::TargetFormat

Enumerator
ESVG |
EPNG |
EPS |
EPDF |

## Constructor & Destructor Documentation

## Thumbnail()

Thumbnail::Thumbnail | ( | const Document * | doc,
|  | int | width
| ) |  |

References ipe::Document::cascade(), ipe::Cascade::findLayout(), ipe::Rect::height(), ipe::Layout::paper(), ipe::Document::resources(), width(), and ipe::Rect::width().

## Member Function Documentation

## width()

int ipe::Thumbnail::width | ( |  | ) | const

inline

Referenced by ipe::PdfThumbnail::PdfThumbnail(), ipe::CanvasBase::selectPageOrView(), and Thumbnail().

## height()

int ipe::Thumbnail::height | ( |  | ) | const

inline

References render(), and saveRender().

Referenced by ipe::PageSelector::fill(), and ipe::CanvasBase::selectPageOrView().

## render()

Buffer Thumbnail::render | ( | const Page * | page,
|  | int | view
| ) |  |

References ipe::Document::cascade(), ipe::Page::count(), ipe::Buffer::data(), ipe::Object::draw(), ipe::Layout::iOrigin, ipe::Page::object(), ipe::Page::objectVisible(), ipe::Layout::paper(), ipe::Painter::pushMatrix(), ipe::Rect::topLeft(), ipe::Vector::x, and ipe::Vector::y.

Referenced by ipe::PageSelector::fill(), height(), and ipe::PdfThumbnail::height().

## saveRender()

bool Thumbnail::saveRender | ( | TargetFormat | fm,
|  | const char * | dst,
|  | const Page * | page,
|  | int | view,
|  | double | zoom,
|  | bool | transparent,
|  | bool | nocrop
| ) |  |

References ipe::Attribute::BACKGROUND(), ipe::Document::cascade(), ipe::Page::count(), ipe::Object::draw(), EPDF, EPNG, EPS, ESVG, ipe::Page::findLayer(), ipe::Cascade::findSymbol(), ipe::Platform::fopen(), ipe::Rect::height(), ipe::Page::object(), ipe::Page::objectVisible(), ipe::Page::pageBBox(), ipe::Layout::paper(), ipe::Painter::pushMatrix(), ipe::Rect::topLeft(), ipe::Rect::width(), ipe::Vector::x, and ipe::Vector::y.

Referenced by height().

The documentation for this class was generated from the following files:

- ipethumbs.h
- ipethumbs.cpp